PHP Manual
Prev |  | Next

# SDO_DataFactory::create

(no version information, might be only in CVS)

SDO_DataFactory::create -- Create an SDO_DataObject

## Description

void SDO_DataFactory::create ( string namespaceURI, string typeName )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Create a new SDO_DataObject given the data object's namespace URI and type name.

## Parameters

namespaceURI

  The namespace of the type.

typeName

  The name of the type.

## Return Values

Returns the newly created SDO_DataObject.

## Exceptions

SDO_TypeNotFoundException

  Thrown if the namespaceURI and typeName do not correspond to a type known to this data factory.

Prev | Home | Next
SDO_DAS_Setting::isSet | Up | SDO_DataObject::clear